#include "artseffects.h"
#include "stdsynthmodule.h"
#include <tqwidget.h>

class TQSlider;

namespace Arts {

class ExtraStereoGUI_impl : public TQWidget, virtual public ExtraStereoGUI_skel
{
public:
	ExtraStereo effect;

	ExtraStereoGUI_impl();

	void setEffect(StereoEffect newEffect);

public slots:
	void changeSlider(int);

private:
	TQSlider *mSlider;
};


};
